Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class TimeCodeTime

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.qtcomponents.TimeCodeTime

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TimeCodeTime
extends QTByteObject
implements java.lang.Cloneable

The TimeCodeTime class represents time as HH:MM:SS:FF. No range checking is done on values set, and no frame rate is known. It is purely an information class

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`TimeCodeTime()` Creates a TimeCodeTime object with values set to 0.
`TimeCodeTime(int counter)` This is packed format that is referred to as the counter representation of the TimeCodeTime structure.
`TimeCodeTime(int hh, int mm, int ss, int ff)` Creates a TimeCodeDef object which has no initial settings.

Method Summary
`java.lang.Object` | `clone()` Makes a copy of a object.
`int` | `getFrames()` Returns the current frames settings.
`int` | `getHours()` Returns the current hours settings.
`int` | `getMinutes()` Returns the current minutes settings.
`int` | `getSeconds()` Returns the current seconds settings.
`void` | `setFrames(int ff)` Sets the frames value
`void` | `setHours(int hh)` Sets the hours value
`void` | `setMinutes(int mm)` Sets the minutes value
`void` | `setSeconds(int ss)` Sets the seconds value
`int` | `toCounter()` Returns the TimeCodeTime as a counter.
`java.lang.String` | `toString()` String representation of class.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeCodeTime

    public TimeCodeTime(int hh,
                        int mm,
                        int ss,
                        int ff)

  Creates a TimeCodeDef object which has no initial settings.
  Parameters:
    `hh` - hours value
    `mm` - minutes value
    `ss` - seconds value
    `ff` - frames value

### TimeCodeTime

    public TimeCodeTime()

  Creates a TimeCodeTime object with values set to 0.

### TimeCodeTime

    public TimeCodeTime(int counter)

  This is packed format that is referred to as the counter representation of the TimeCodeTime structure.
  Parameters:
    `counter` - in packed format HH:MM:SS:FF

Method Detail

### toCounter

    public int toCounter()

  Returns the TimeCodeTime as a counter.
  Returns:
    an int

### getHours

    public int getHours()

  Returns the current hours settings.
  Returns:
    hours value

### setHours

    public void setHours(int hh)

  Sets the hours value
  Parameters:
    `hh` - hours value

### getMinutes

    public int getMinutes()

  Returns the current minutes settings.
  Returns:
    minutes value

### setMinutes

    public void setMinutes(int mm)

  Sets the minutes value
  Parameters:
    `mm` - minutes value

### getSeconds

    public int getSeconds()

  Returns the current seconds settings.
  Returns:
    seconds value

### setSeconds

    public void setSeconds(int ss)

  Sets the seconds value
  Parameters:
    `ss` - seconds value

### getFrames

    public int getFrames()

  Returns the current frames settings.
  Returns:
    frames value

### setFrames

    public void setFrames(int ff)

  Sets the frames value
  Parameters:
    `ff` - frames value

### toString

    public java.lang.String toString()

  String representation of class.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Makes a copy of a object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD